OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayTNodeOfFieldOfHArray1OfVec Class Reference

`#include <PColgp_VArrayTNodeOfFieldOfHArray1OfVec.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColgp_VArrayTNodeOfFieldOfHArray1OfVec ()
| PColgp_VArrayTNodeOfFieldOfHArray1OfVec (const gp_Vec &aValue)
void | SetValue (const gp_Vec &aValue)
Standard_Address | Value () const
## Private Attributes
gp_Vec | myValue

## Constructor & Destructor Documentation

PColgp_VArrayTNodeOfFieldOfHArray1OfVec::PColgp_VArrayTNodeOfFieldOfHArray1OfVec | ( |  | ) |

PColgp_VArrayTNodeOfFieldOfHArray1OfVec::PColgp_VArrayTNodeOfFieldOfHArray1OfVec | ( | const gp_Vec & | aValue | ) |

## Member Function Documentation

void PColgp_VArrayTNodeOfFieldOfHArray1OfVec::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray1OfVec::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_VArrayTNodeOfFieldOfHArray1OfVec::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColgp_VArrayTNodeOfFieldOfHArray1OfVec::SetValue | ( | const gp_Vec & | aValue | ) |

Standard_Address PColgp_VArrayTNodeOfFieldOfHArray1OfVec::Value | ( |  | ) | const

## Field Documentation

gp_Vec PColgp_VArrayTNodeOfFieldOfHArray1OfVec::myValue`[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayTNodeOfFieldOfHArray1OfVec.hxx